Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 823 - update to ClanLib ebuild
Summary: update to ClanLib ebuild
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: x86 Linux
: High enhancement (vote)
Assignee: Daniel Robbins (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-02-23 08:54 UTC by Seemant Kulleen
Modified: 2003-02-04 19:42 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
update to clanlib ebuild (clanlib-0.5.4.ebuild,2.01 KB, application/octet-stream)
2002-02-23 08:54 UTC, Seemant Kulleen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Seemant Kulleen 2002-02-23 08:54:15 UTC
Dr. Robbins, 

As you suggested in my earlier bug report, a new ClanLib might be in order.  To
that end, I present the ebuild for ClanLib 0.5.4.  I had to upgrade the Hermes
ebuild as well for this.

Thanks,

Seemant
Comment 1 Seemant Kulleen 2002-02-23 08:54:50 UTC
Created attachment 231 [details]
update to clanlib ebuild
Comment 2 Seemant Kulleen 2002-02-23 09:06:08 UTC
Er,

I forgot to change portage/hermes to app-games/hermes in the originally attached
ebuild.  Here it is in its final form then..  Sorry about that goofup.

Seemant

---- Cut here

# Copyright 1999-2002 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License, v2 or later
# Maintainer Bart Verwilst <verwilst@gentoo.org>; updated by Seemant Kulleen
<seemant@rocketmail.com>
# $Header$

NP=ClanLib-0.5.4
NA=${NP}-1.tar.gz
S=${WORKDIR}/${NP}
DESCRIPTION="ClanLib"
SRC_URI="http://dark.x.dtu.dk/~mbn/clanlib/download/download-sphair/${NA}"
HOMEPAGE="http://www.clanlib.org/"

#SLOT="0"

DEPEND=">=app-games/hermes-1.3.2
        sys-devel/automake
        sys-devel/autoconf
        sys-devel/libtool
        vorbis? ( media-libs/libvorbis )
        X? ( virtual/x11 )
        directfb? ( dev-libs/DirectFB )
        >=sys-libs/zlib-1.1.3
        >=media-libs/libpng-1.0.10
        >=media-libs/jpeg-6b
        >=media-libs/freetype-2.0
        >=media-libs/libmikmod-3.1.9"

RDEPEND=">=app-games/hermes-1.3.2
        vorbis? ( media-libs/libvorbis )
        X? ( virtual/x11 )
        directfb? ( dev-libs/DirectFB )
        >=media-libs/libpng-1.0.10
        >=media-libs/jpeg-6b
        >=media-libs/freetype-2.0
        >=media-libs/libmikmod-3.1.9"

src_compile() {
    local myconf
    if [ "`use X`" ] ; then
        myconf="--enable-x11"
    else
        myconf="--disable-x11"
    fi
    if [ "`use fbdev`" ] ; then
        myconf="${myconf} --enable-fbdev"
    else
        myconf="${myconf} --disable-fbdev"
    fi
    if [ "`use directfb`" ] ; then
        myconf="${myconf} --enable-directfb"
    else
        myconf="${myconf} --disable-directfb"
    fi
    if [ "`use vorbis`" ] ; then
        myconf="${myconf} --enable-vorbis"
    else
        myconf="${myconf} --disable-vorbis"
    fi

    export CFLAGS=${CFLAGS/-O?/-O2}
    export CXXFLAGS=${CXXFLAGS/-O?/-O2}
#    ./autogen.sh || die
    ./configure --prefix=/usr --host=${CHOST} ${myconf} \
    --enable-joystick --enable-clansound --enable-network \
    --enable-asm386 --enable-dyn --enable-gui --enable-mikmod \
    --enable-png --enable-jpeg --enable-ttf --enable-vidmode || die
    emake || die
    emake docs || die

}

src_install () {

    emake prefix=${D}/usr install || die
    emake docs_install prefix=${D}/usr/share || die

}
Comment 3 Daniel Robbins (RETIRED) gentoo-dev 2002-02-23 13:41:02 UTC
OK, thanks for the ebuild.  Also, even though it's flattering, I'm really not a
Doctor.... although I play one on TV :)
Comment 4 Seemant Kulleen 2002-02-23 22:13:00 UTC
Hi to My Gentoo Friends,

Dr. Robbins - you're one of the most intelligent people I have ever talked with,
to me you're definitely doctor!.

OK, woodchip has advised me that patches are better when submitting upgrades. 
So, here is the patch to upgrade the ebuild instead..

--- Cut Here

--- clanlib-0.5.010512.ebuild   Sat Feb 23 20:04:16 2002
+++ clanlib-0.5.4.ebuild        Sat Feb 23 07:00:51 2002
@@ -1,28 +1,35 @@
 # Copyright 1999-2002 Gentoo Technologies, Inc.
 # Distributed under the terms of the GNU General Public License, v2 or later
-# Maintainer Bart Verwilst <verwilst@gentoo.org>
-# /space/gentoo/cvsroot/gentoo-x86/app-games/clanlib/clanlib-0.5.010512.ebuild,
v 1.2 2002/02/06 22:58:00 verwilst Exp
+# Maintainer Bart Verwilst <verwilst@gentoo.org>; updated by Seemant Kulleen <s
eemant@rocketmail.com>
+# $Header$
 
-P=ClanLib-0.5-CVS-01-05-12
-S=${WORKDIR}/${P}
+NP=ClanLib-0.5.4
+NA=${NP}-1.tar.gz
+S=${WORKDIR}/${NP}
 DESCRIPTION="ClanLib"
-SRC_URI="http://dark.x.dtu.dk/~mbn/clanlib/download/snapshots/Libs/${P}.tar.gz"
-HOMEPAGE="http://pingus.seul.org"
+SRC_URI="http://dark.x.dtu.dk/~mbn/clanlib/download/download-sphair/${NA}"
+HOMEPAGE="http://www.clanlib.org/"
 
-SLOT="0"
+#SLOT="0"
 
-DEPEND=">=app-games/hermes-1.3.010512 sys-devel/automake sys-devel/autoconf sys
-devel/libtool
+DEPEND=">=app-games/hermes-1.3.2
+               sys-devel/automake
+               sys-devel/autoconf
+               sys-devel/libtool
         vorbis? ( media-libs/libvorbis )
         X? ( virtual/x11 )
+               directfb? ( dev-libs/DirectFB )
+               >=sys-libs/zlib-1.1.3
         >=media-libs/libpng-1.0.10
         >=media-libs/jpeg-6b
         >=media-libs/freetype-2.0
         >=media-libs/libmikmod-3.1.9"
 
-RDEPEND=">=app-games/hermes-1.3.010512
+RDEPEND=">=app-games/hermes-1.3.2
         vorbis? ( media-libs/libvorbis )
         X? ( virtual/x11 )
-        >=media-libs/libpng-1.0.10
+        directfb? ( dev-libs/DirectFB )
+               >=media-libs/libpng-1.0.10
         >=media-libs/jpeg-6b
         >=media-libs/freetype-2.0
         >=media-libs/libmikmod-3.1.9"
@@ -30,39 +37,42 @@
 src_compile() {
     local myconf
     if [ "`use X`" ] ; then
-       myconf="--enable-x11"
+               myconf="--enable-x11"
     else
-       myconf="--disable-x11"
+               myconf="--disable-x11"
     fi
     if [ "`use fbdev`" ] ; then
-       myconf="$myconf --enable-fbdev"
+               myconf="${myconf} --enable-fbdev"
     else
-       myconf="$myconf --disable-fbdev"
+               myconf="${myconf} --disable-fbdev"
     fi
     if [ "`use directfb`" ] ; then
-       myconf="$myconf --enable-directfb"
-    else
-       myconf="$myconf --disable-directfb"
+               myconf="${myconf} --enable-directfb"
+       else
+               myconf="${myconf} --disable-directfb"
     fi
     if [ "`use vorbis`" ] ; then
-       myconf="$myconf --enable-vorbis"
+               myconf="${myconf} --enable-vorbis"
     else
-       myconf="$myconf --disable-vorbis"
+               myconf="${myconf} --disable-vorbis"
     fi
+
     export CFLAGS=${CFLAGS/-O?/-O2}
     export CXXFLAGS=${CXXFLAGS/-O?/-O2}
-    ./autogen.sh || die
-    ./configure --prefix=/usr --host=${CHOST} $myconf \
+#    ./autogen.sh || die
+    ./configure --prefix=/usr --host=${CHOST} ${myconf} \
        --enable-joystick --enable-clansound --enable-network \
        --enable-asm386 --enable-dyn --enable-gui --enable-mikmod \
        --enable-png --enable-jpeg --enable-ttf --enable-vidmode || die
-    make || die
+    emake || die
+       emake docs || die
 
 }
 
 src_install () {
 
-    make prefix=${D}/usr install || die
+    emake prefix=${D}/usr install || die
+       emake docs_install prefix=${D}/usr/share || die
 
 }
 
Comment 5 Grant Goodyear (RETIRED) gentoo-dev 2002-02-24 20:45:17 UTC
Added to CVS.  Thanks!